Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class AmppAndChildrenType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.AmppAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class AmppAndChildrenType

extends Object
implements Serializable

Java class for AmppAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppAndChildrenType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="amppID" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="contentQuantity" type="{http://www.w3.org/2001/XMLSchema}float"/>
             <element name="contentUnit" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="treatmentDurationCatCv" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="contentMultiplier" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="totalPackSizeValue" type="{http://www.w3.org/2001/XMLSchema}float"/>
             <element name="socsecReimbCv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="distributorId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="initDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="closeDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AmppAndChildrenType()`

Method Summary
`long` | `getAmppID()` Gets the value of the amppID property.
`org.joda.time.DateTime` | `getCloseDate()` Gets the value of the closeDate property.
`BigInteger` | `getContentMultiplier()` Gets the value of the contentMultiplier property.
`float` | `getContentQuantity()` Gets the value of the contentQuantity property.
`String` | `getContentUnit()` Gets the value of the contentUnit property.
`Long` | `getDistributorId()` Gets the value of the distributorId property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getInitDate()` Gets the value of the initDate property.
`String` | `getName()` Gets the value of the name property.
`String` | `getSocsecReimbCv()` Gets the value of the socsecReimbCv property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`float` | `getTotalPackSizeValue()` Gets the value of the totalPackSizeValue property.
`String` | `getTreatmentDurationCatCv()` Gets the value of the treatmentDurationCatCv property.
`void` | `setAmppID(long value)` Sets the value of the amppID property.
`void` | `setCloseDate(org.joda.time.DateTime value)` Sets the value of the closeDate property.
`void` | `setContentMultiplier(BigInteger value)` Sets the value of the contentMultiplier property.
`void` | `setContentQuantity(float value)` Sets the value of the contentQuantity property.
`void` | `setContentUnit(String value)` Sets the value of the contentUnit property.
`void` | `setDistributorId(Long value)` Sets the value of the distributorId property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setInitDate(org.joda.time.DateTime value)` Sets the value of the initDate property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setSocsecReimbCv(String value)` Sets the value of the socsecReimbCv property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTotalPackSizeValue(float value)` Sets the value of the totalPackSizeValue property.
`void` | `setTreatmentDurationCatCv(String value)` Sets the value of the treatmentDurationCatCv property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmppAndChildrenType

    public AmppAndChildrenType()

Method Detail

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getAmppID

    public long getAmppID()

  Gets the value of the amppID property.

### setAmppID

    public void setAmppID(long value)

  Sets the value of the amppID property.

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getContentQuantity

    public float getContentQuantity()

  Gets the value of the contentQuantity property.

### setContentQuantity

    public void setContentQuantity(float value)

  Sets the value of the contentQuantity property.

### getContentUnit

    public String getContentUnit()

  Gets the value of the contentUnit property.

  Returns:
    possible object is `String`

### setContentUnit

    public void setContentUnit(String value)

  Sets the value of the contentUnit property.

  Parameters:
    `value` - allowed object is `String`

### getTreatmentDurationCatCv

    public String getTreatmentDurationCatCv()

  Gets the value of the treatmentDurationCatCv property.

  Returns:
    possible object is `String`

### setTreatmentDurationCatCv

    public void setTreatmentDurationCatCv(String value)

  Sets the value of the treatmentDurationCatCv property.

  Parameters:
    `value` - allowed object is `String`

### getContentMultiplier

    public BigInteger getContentMultiplier()

  Gets the value of the contentMultiplier property.

  Returns:
    possible object is `BigInteger`

### setContentMultiplier

    public void setContentMultiplier(BigInteger value)

  Sets the value of the contentMultiplier property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTotalPackSizeValue

    public float getTotalPackSizeValue()

  Gets the value of the totalPackSizeValue property.

### setTotalPackSizeValue

    public void setTotalPackSizeValue(float value)

  Sets the value of the totalPackSizeValue property.

### getSocsecReimbCv

    public String getSocsecReimbCv()

  Gets the value of the socsecReimbCv property.

  Returns:
    possible object is `String`

### setSocsecReimbCv

    public void setSocsecReimbCv(String value)

  Sets the value of the socsecReimbCv property.

  Parameters:
    `value` - allowed object is `String`

### getDistributorId

    public Long getDistributorId()

  Gets the value of the distributorId property.

  Returns:
    possible object is `Long`

### setDistributorId

    public void setDistributorId(Long value)

  Sets the value of the distributorId property.

  Parameters:
    `value` - allowed object is `Long`

### getInitDate

    public org.joda.time.DateTime getInitDate()

  Gets the value of the initDate property.

  Returns:
    possible object is `String`

### setInitDate

    public void setInitDate(org.joda.time.DateTime value)

  Sets the value of the initDate property.

  Parameters:
    `value` - allowed object is `String`

### getCloseDate

    public org.joda.time.DateTime getCloseDate()

  Gets the value of the closeDate property.

  Returns:
    possible object is `String`

### setCloseDate

    public void setCloseDate(org.joda.time.DateTime value)

  Sets the value of the closeDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.